Subject: Re: [bitcoin-dev] Instant exchange rates URI scheme

From: Angel Leon <[email-masked]>
Date: Tue, 15 Sep 2015 08:48:35 -0400

might want to specify there that the rate being sent is out of USD.

http://twitter.com/gubatron

On Tue, Sep 15, 2015 at 7:10 AM, John Bailon via bitcoin-dev <
[email-masked]> wrote:

> Hello,
>
> I'd like to propose a BIP for a standard URI scheme to allow wallet
> operators that implement instant exchange or pegging to other currencies,
> cryptocurrencies or asset classes to allow for interoperable communications
> of rates and other pertinent information.
>
> The idea is to include in the wallet address as parameters information
> that supplements the presentation of a proposed transaction.
>
> For example, a wallet operator that instantly exchanges bitcoin to gold
> would present a wallet address as follows:
>
> bitcoin:1JohnxNT6jRzhu3H1wgVFbSGKmHP4EUjUV?currency=xau&rate=0.2084&expires=1458432000
>
> Wherein:
> <currency> :  the currency, cryptocurrency or asset that the transaction
> will end up as encoded in ISO 4217 if applicable.
> <rate> : the bitcoin to <currency> rate as dictated by receiving wallet
> <expires> : unix timestamp of when the rate loses validity
>
> This would allow the sending wallet the ability to present up-to-date
> exchange rates. When, for example, a wallet operator that pegs to the USD
> scans the address above, it would be able to present to the user the
> following information:
>
> 1. USD to XAU rate
> 2. How much XAU will be received by the address
> 3. How long before the rates expires
>
>
> Thoughts?
>
>
> Regards,
> John
>
> _______________________________________________
> bitcoin-dev mailing list
> [email-masked]
> https://lists.linuxfoundation.org/mailman/listinfo/bitcoin-dev
>
>